Bug 6712 - Remove memberofinstitution markup from templates until it can be completed
Summary: Remove memberofinstitution markup from templates until it can be completed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6697 6711 11751
  Show dependency treegraph
 
Reported: 2011-08-11 19:15 UTC by Owen Leonard
Modified: 2014-02-12 15:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (1.91 KB, patch)
2011-08-11 19:23 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6712 - Remove memberofinstitution markup from templates until it can be completed (2.37 KB, patch)
2011-08-14 13:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-08-11 19:15:15 UTC
Functionality tied to the memberofinstitution system preference has become broken, and needs to be fixed. Until then, markup in the templates related to this feature should be removed as it is causing other bugs.
Comment 1 Owen Leonard 2011-08-11 19:23:25 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-08-14 13:31:03 UTC
Created attachment 4993 [details] [review]
[SIGNED-OFF] Fix for Bug 6712 - Remove memberofinstitution markup from templates until it can be completed

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

To test:
1) Make sure syspref memberofinstitution is turned on
2) Add a new patron of organisation category (example: library)
3) Check that there is no field set 'organisation' showing up
4) Checkout books to any borrower
5) Renew books until no longer possible
6) Scan barcode from renewed book to force renewal
6) Check that the 'no more renewals' message has no empty pull below text message
Comment 3 Ian Walls 2011-08-27 13:26:07 UTC
Template only change, well documented test plan, easy to read.  Marking as Passed QA
Comment 4 Chris Cormack 2011-08-28 07:40:34 UTC
Pushed, please test
Comment 5 Chris Nighswonger 2011-10-26 18:02:15 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.